package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Dhcpv6 Setting
 */
@ApiModel(description = "Dhcpv6 Setting")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class Dhcpv6Setting   {
  @JsonProperty("gateway")
  private String gateway;

  @JsonProperty("subnet")
  private Integer subnet;

  @JsonProperty("ipaddrStart")
  private String ipaddrStart;

  @JsonProperty("ipaddrEnd")
  private String ipaddrEnd;

  @JsonProperty("leasetime")
  private Integer leasetime;

  @JsonProperty("dnsv6")
  private Integer dnsv6;

  @JsonProperty("priDns")
  private String priDns;

  @JsonProperty("sndDns")
  private String sndDns;

  public Dhcpv6Setting gateway(String gateway) {
    this.gateway = gateway;
    return this;
  }

  /**
   * Gateway IPv6
   * @return gateway
  */
  @ApiModelProperty(value = "Gateway IPv6")


  public String getGateway() {
    return gateway;
  }

  public void setGateway(String gateway) {
    this.gateway = gateway;
  }

  public Dhcpv6Setting subnet(Integer subnet) {
    this.subnet = subnet;
    return this;
  }

  /**
   * Netmask IPv6
   * @return subnet
  */
  @ApiModelProperty(value = "Netmask IPv6")


  public Integer getSubnet() {
    return subnet;
  }

  public void setSubnet(Integer subnet) {
    this.subnet = subnet;
  }

  public Dhcpv6Setting ipaddrStart(String ipaddrStart) {
    this.ipaddrStart = ipaddrStart;
    return this;
  }

  /**
   * DHCP Range Start
   * @return ipaddrStart
  */
  @ApiModelProperty(value = "DHCP Range Start")


  public String getIpaddrStart() {
    return ipaddrStart;
  }

  public void setIpaddrStart(String ipaddrStart) {
    this.ipaddrStart = ipaddrStart;
  }

  public Dhcpv6Setting ipaddrEnd(String ipaddrEnd) {
    this.ipaddrEnd = ipaddrEnd;
    return this;
  }

  /**
   * DHCP Range End
   * @return ipaddrEnd
  */
  @ApiModelProperty(value = "DHCP Range End")


  public String getIpaddrEnd() {
    return ipaddrEnd;
  }

  public void setIpaddrEnd(String ipaddrEnd) {
    this.ipaddrEnd = ipaddrEnd;
  }

  public Dhcpv6Setting leasetime(Integer leasetime) {
    this.leasetime = leasetime;
    return this;
  }

  /**
   * Leasetime should be within the range of 1-11520. Time unit: min(s)
   * @return leasetime
  */
  @ApiModelProperty(value = "Leasetime should be within the range of 1-11520. Time unit: min(s)")


  public Integer getLeasetime() {
    return leasetime;
  }

  public void setLeasetime(Integer leasetime) {
    this.leasetime = leasetime;
  }

  public Dhcpv6Setting dnsv6(Integer dnsv6) {
    this.dnsv6 = dnsv6;
    return this;
  }

  /**
   * DHCP Name Server, should be a value as follows: 0: \"auto\"; 1: \"manual\"
   * @return dnsv6
  */
  @ApiModelProperty(value = "DHCP Name Server, should be a value as follows: 0: \"auto\"; 1: \"manual\"")


  public Integer getDnsv6() {
    return dnsv6;
  }

  public void setDnsv6(Integer dnsv6) {
    this.dnsv6 = dnsv6;
  }

  public Dhcpv6Setting priDns(String priDns) {
    this.priDns = priDns;
    return this;
  }

  /**
   * When DNSv6 is 1: \"manual\", primary DNS Server
   * @return priDns
  */
  @ApiModelProperty(value = "When DNSv6 is 1: \"manual\", primary DNS Server")


  public String getPriDns() {
    return priDns;
  }

  public void setPriDns(String priDns) {
    this.priDns = priDns;
  }

  public Dhcpv6Setting sndDns(String sndDns) {
    this.sndDns = sndDns;
    return this;
  }

  /**
   * When DNSv6 is 1: \"manual\", second DNS Server
   * @return sndDns
  */
  @ApiModelProperty(value = "When DNSv6 is 1: \"manual\", second DNS Server")


  public String getSndDns() {
    return sndDns;
  }

  public void setSndDns(String sndDns) {
    this.sndDns = sndDns;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Dhcpv6Setting dhcpv6Setting = (Dhcpv6Setting) o;
    return Objects.equals(this.gateway, dhcpv6Setting.gateway) &&
        Objects.equals(this.subnet, dhcpv6Setting.subnet) &&
        Objects.equals(this.ipaddrStart, dhcpv6Setting.ipaddrStart) &&
        Objects.equals(this.ipaddrEnd, dhcpv6Setting.ipaddrEnd) &&
        Objects.equals(this.leasetime, dhcpv6Setting.leasetime) &&
        Objects.equals(this.dnsv6, dhcpv6Setting.dnsv6) &&
        Objects.equals(this.priDns, dhcpv6Setting.priDns) &&
        Objects.equals(this.sndDns, dhcpv6Setting.sndDns);
  }

  @Override
  public int hashCode() {
    return Objects.hash(gateway, subnet, ipaddrStart, ipaddrEnd, leasetime, dnsv6, priDns, sndDns);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Dhcpv6Setting {\n");
    
    sb.append("    gateway: ").append(toIndentedString(gateway)).append("\n");
    sb.append("    subnet: ").append(toIndentedString(subnet)).append("\n");
    sb.append("    ipaddrStart: ").append(toIndentedString(ipaddrStart)).append("\n");
    sb.append("    ipaddrEnd: ").append(toIndentedString(ipaddrEnd)).append("\n");
    sb.append("    leasetime: ").append(toIndentedString(leasetime)).append("\n");
    sb.append("    dnsv6: ").append(toIndentedString(dnsv6)).append("\n");
    sb.append("    priDns: ").append(toIndentedString(priDns)).append("\n");
    sb.append("    sndDns: ").append(toIndentedString(sndDns)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

